【活用ガイド】

[English]

JVNDB-2021-000022

サイボウズ Office に複数の脆弱性

概要

サイボウズ株式会社が提供するサイボウズ Officeには、次の複数の脆弱性が存在します。

・[CyVDB-1657]スケジュールに関する操作制限回避の脆弱性 (CWE-264) - CVE-2021-20624
・[CyVDB-1727]掲示板に関する操作制限回避の脆弱性 (CWE-264) - CVE-2021-20625
・[CyVDB-1895][CyVDB-2658]ワークフローに関する操作制限回避の脆弱性 (CWE-264) - CVE-2021-20626
・[CyVDB-1899]アドレス帳に関するクロスサイトスクリプティングの脆弱性 (CWE-79) - CVE-2021-20627
・[CyVDB-1924][Mozilla Firefox の現象]アドレス帳に関するクロスサイトスクリプティングの脆弱性 (CWE-79) - CVE-2021-20628
・[CyVDB-2014]メールに関するクロスサイトスクリプティングの脆弱性 (CWE-79) - CVE-2021-20629
・[CyVDB-2018]電話メモに関する閲覧制限回避の脆弱性 (CWE-264) - CVE-2021-20630
・[CyVDB-2063]カスタムアプリに関する不適切な入力確認の脆弱性 (CWE-20) - CVE-2021-20631
・[CyVDB-2263]掲示板に関する閲覧制限回避の脆弱性 (CWE-264) - CVE-2021-20632
・[CyVDB-2310]ファイル管理に関する閲覧制限回避の脆弱性 (CWE-264) - CVE-2021-20633
・[CyVDB-2764]カスタムアプリに関する閲覧制限回避の脆弱性 (CWE-264) - CVE-2021-20634

CVE-2021-20624, CVE-2021-20625, CVE-2021-20629
これらの脆弱性情報は、次の方が開発者に報告し、製品利用者への周知を目的に、開発者が JPCERT/CC に報告し、JPCERT/CC が開発者との調整を行いました。
発見者: 東内 裕二 氏

CVE-2021-20627, CVE-2021-20628
これらの脆弱性情報は、次の方が開発者に報告し、製品利用者への周知を目的に、開発者が JPCERT/CC に報告し、JPCERT/CC が開発者との調整を行いました。
発見者: 株式会社イエラエセキュリティ 西谷 完太 氏

CVE-2021-20630, CVE-2021-20631
これらの脆弱性情報は、次の方が開発者に報告し、製品利用者への周知を目的に、開発者が JPCERT/CC に報告し、JPCERT/CC が開発者との調整を行いました。
発見者: 閏間 修⼀ 氏

CVE-2021-20626, CVE-2021-20632, CVE-2021-20633, CVE-2021-20634
これらの脆弱性情報は、製品利用者への周知を目的に、開発者が JPCERT/CC に報告し、JPCERT/CC が開発者との調整を行いました。
CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 低
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): なし
  • 完全性への影響(I): 低
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 4.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 単一
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし
※上記は、CVE-2021-20624の評価になります。


CVSS v3 による深刻度
基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 低
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): なし
  • 完全性への影響(I): 低
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 4.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 単一
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし
※上記は、CVE-2021-20625の評価になります。


CVSS v3 による深刻度
基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 低
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): なし
  • 完全性への影響(I): 低
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 4.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 単一
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし
※上記は、CVE-2021-20626の評価になります。


CVSS v3 による深刻度
基本値: 4.7 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 要
  • 影響の想定範囲: 変更あり
  • 機密性への影響(C): 低
  • 完全性への影響(I): 低
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 2.6 (注意) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし
※上記は、CVE-2021-20627の評価になります。


CVSS v3 による深刻度
基本値: 4.7 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 要
  • 影響の想定範囲: 変更あり
  • 機密性への影響(C): 低
  • 完全性への影響(I): 低
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 2.6 (注意) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし
※上記は、CVE-2021-20628の評価になります。


CVSS v3 による深刻度
基本値: 4.7 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 要
  • 影響の想定範囲: 変更あり
  • 機密性への影響(C): 低
  • 完全性への影響(I): 低
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 2.6 (注意) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし
※上記は、CVE-2021-20629の評価になります。


CVSS v3 による深刻度
基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 低
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 低
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 4.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 単一
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
※上記は、CVE-2021-20630の評価になります。


CVSS v3 による深刻度
基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 低
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 低
CVSS v2 による深刻度
基本値: 4.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 単一
  • 機密性への影響(C): なし
  • 完全性への影響(I): なし
  • 可用性への影響(A): 部分的
※上記は、CVE-2021-20631の評価になります。


CVSS v3 による深刻度
基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 低
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 低
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 4.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 単一
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
※上記は、CVE-2021-20632の評価になります。


CVSS v3 による深刻度
基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 低
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 低
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 4.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 単一
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
※上記は、CVE-2021-20633の評価になります。


CVSS v3 による深刻度
基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 低
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 低
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
CVSS v2 による深刻度
基本値: 4.0 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 単一
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): なし
  • 可用性への影響(A): なし
※上記は、CVE-2021-20634の評価になります。
影響を受けるシステム


サイボウズ
  • サイボウズ Office 10.0.0 から 10.8.4 まで

想定される影響

想定される影響は各脆弱性により異なりますが、次のような影響を受ける可能性があります。
・[CyVDB-1657]:
当該製品にログイン可能なユーザによって、本来操作権限のないスケジュールに関するデータを改ざんされる
・[CyVDB-1727]:
当該製品にログイン可能なユーザによって、本来操作権限のない掲示板に関するデータを改ざんされる
・[CyVDB-1895]、[CyVDB-2658]:
当該製品にログイン可能なユーザによって、本来操作権限のないワークフローに関するデータを改ざんされる
・[CyVDB-1899]、[CyVDB-1924]、[CyVDB-2014]:
当該製品にログインしているユーザのウェブブラウザ上で、任意のスクリプトを実行される
・[CyVDB-2018]:
当該製品にログイン可能なユーザによって、本来閲覧権限のない電話メモに関するデータを窃取される
・[CyVDB-2063]:
当該製品にログイン可能なユーザによって、カスタムアプリに関するデータを改ざんされる
・[CyVDB-2263]:
当該製品にログイン可能なユーザによって、本来閲覧権限のない掲示板に関するデータを窃取される
・[CyVDB-2310]:
当該製品にログイン可能なユーザによって、本来閲覧権限のないファイル管理に関するデータを窃取される
・[CyVDB-2764]:
当該製品にログイン可能なユーザによって、本来閲覧権限のないカスタムアプリに関するデータを窃取される
対策

[アップデートする]
開発者が提供する情報をもとに、最新版へアップデートしてください。
ベンダ情報

サイボウズ
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 認可・権限・アクセス制御(CWE-264) [IPA評価]
  2. クロスサイトスクリプティング(CWE-79) [IPA評価]
  3. 不適切な入力確認(CWE-20) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2021-20624
  2. CVE-2021-20625
  3. CVE-2021-20626
  4. CVE-2021-20627
  5. CVE-2021-20628
  6. CVE-2021-20629
  7. CVE-2021-20630
  8. CVE-2021-20631
  9. CVE-2021-20632
  10. CVE-2021-20633
  11. CVE-2021-20634
参考情報

  1. JVN : JVN#45797538
更新履歴

  • [2021年03月15日]
      掲載
  • [2021年03月16日]
      概要:内容を更新